# 快速上手指南

感谢使用Petoi机器人！

如果您购买的是组装版套件，请参考以下说明进行搭建：

* [Bittle](https://bittle.petoi.com/zhong-wen/1-gong-ju-he-zhun-bei)
* [Bittle X](https://bittle-x.petoi.com/zhong-wen-1/1-zhun-bei-shang-shou)
  * 如果您购买的是**Bittle X**套件（如包装条形码标签上所示）
    * 请参照[BiBoard V0 舵机接线图](https://app.gitbook.com/o/-M-_eWZUjFA4usjshHcZ/s/-MPQ2vWEZUH7ol6XE55o-1608594363/~/changes/246/4-lian-xian/biboard-v0)
    * 在使用桌面应用程序上传固件时，请选择主板型号为**BiBoard\_V0\_\***
  * 如果您购买的是**Bittle X V2**套件（如包装条形码标签上所示）
    * 请参照[BiBoard V1 舵机接线图](https://app.gitbook.com/o/-M-_eWZUjFA4usjshHcZ/s/-MPQ2vWEZUH7ol6XE55o-1608594363/~/changes/246/4-lian-xian/biboard-v1)
    * 在使用[桌面应用程序](https://docs.petoi.com/chinese/zhuo-mian-ying-yong/gu-jian-shang-zai)上传固件时，请选择主板型号为**BiBoard\_V1\_0**
* [Nybble](https://nybble.petoi.com/chinese-1/untitled)

{% hint style="warning" %}
请注意，机器人适合在光滑表面上工作。在地毯上行走时，动作可能不平稳。
{% endhint %}

## 在您完成组装Petoi机器人后或者购买的是预组装版本，建议执行以下步骤：

1. 使用[手机app](https://docs.petoi.com/chinese/shou-ji-ying-yong/kong-zhi-mian-ban)
   * 操控执行预定义技能动作
   * 进行简单的关节运动控制
   * 在控制面板添加[操控按钮](https://docs.petoi.com/chinese/shou-ji-ying-yong/kong-zhi-mian-ban#chuang-jian-dan-ge-ming-ling)
   * 在控制面板添加[组合操控按钮](https://docs.petoi.com/chinese/shou-ji-ying-yong/kong-zhi-mian-ban#chuang-jian-zu-he-ming-ling)，可以使机器人按顺序执行多个技能动作
2. 使用语音指令操控（适用于Bittle X / 带有语音模块的Bittle）
   * 如果机器人没有对语音指令做出反馈动作，请参考[如何调试语音指令模块](https://docs.petoi.com/chinese/kuo-zhan-mo-kuai/yu-yin-zhi-ling-mo-kuai#ru-he-tiao-shi-yu-yin-zhi-ling-mo-kuai)
   * 你可以随时[关闭语音指令功能](https://docs.petoi.com/chinese/kuo-zhan-mo-kuai/yu-yin-zhi-ling-mo-kuai#chang-gui-yong-fa) (比如在公共场所，或者需要保持安静时段的教室环境中) 以避免意外触发语音响应和机器人动作反馈。
3. 编程开发
   * 参照[Petoi编程积木课程](https://www.petoi.com/pages/free-quadruped-robotics-curriculum-scratch-coding)来编写一些[Petoi机器人做动作的程序](https://www.youtube.com/playlist?list=PLHMFXft_rV6POrzm8O12Nybdy1-FS1ymg)
   * 使用[技能创作坊](https://docs.petoi.com/chinese/zhuo-mian-ying-yong/ji-neng-chuang-zuo-fang)所见即所得地设计一些[新的机器人技能动作](https://www.bilibili.com/video/BV1SV411c78G/?share_source=copy_web\&vd_source=5b53358e3ed9e3e64243f5234203f423\&t=0)
   * 参照[C++课程](https://www.petoi.com/pages/free-cplusplus-quadruped-robotics-curriculum)来用C++编写一些Petoi机器人动作的程序
   * 对于Bittle/Bittle X，你可以[3D打印一个支架](https://github.com/PetoiCamp/NonCodeFiles/tree/master/stl/BittleStand)，让你的机器人在你编程时不会跑来跑去
4. 从事一些[四足机器人竞赛项目](https://www.petoi.com/blogs/blog/robot-competitions-with-petoi)

{% hint style="info" %}
注意：所有的教程都适用于Bittle/Bittle X机器狗和Nybble机器猫，尽管我们使用一个特定的机器宠物作为例子。
{% endhint %}

## 常见问题

**问题：**&#x6211;对产品包装感到困惑，不确定你们是否给我发了正确的机器人？

**解答：**&#x51FA;于环保节约，我们重复使用了Bittle和BIttle X的包装。如果您订购了Bittle但收到的是带有“Bittle X”标记的包装，或者反之亦然，您可以检查带有条形码的文本标签。这些文本标识了包装盒内的物品。

更多常见问题，请参考我们官方网站中的[相关页面](https://www.petoi.com/pages/faq)或Petoi文档中心中的[常见问题解答](https://docs.petoi.com/chinese/ji-shu-zhi-chi/chang-jian-wen-ti-faq)。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.petoi.com/chinese/kuai-su-shang-shou-zhi-nan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
